Create a schedule
curl --request POST \
--url https://api.matrices.com/v1/agents/{agentId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"message": "<string>",
"name": "<string>",
"target": {
"mode": "spawn"
},
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"enabled": true
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
message: '<string>',
name: '<string>',
target: {mode: 'spawn'},
timing: {cron: '<string>', kind: 'repeated', timezone: '<string>'},
enabled: true
})
};
fetch('https://api.matrices.com/v1/agents/{agentId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/schedules"
payload = {
"message": "<string>",
"name": "<string>",
"target": { "mode": "spawn" },
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"enabled": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/schedules"
payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"name\": \"<string>\",\n \"target\": {\n \"mode\": \"spawn\"\n },\n \"timing\": {\n \"cron\": \"<string>\",\n \"kind\": \"repeated\",\n \"timezone\": \"<string>\"\n },\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"enabled": true,
"id": "<string>",
"message": "<string>",
"name": "<string>",
"target": {
"mode": "spawn"
},
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"disabledReason": "agent_not_found",
"lastNominalAt": "2023-11-07T05:31:56Z",
"lastStatus": "fired",
"lastThreadId": "<string>",
"lastTurnId": "<string>",
"nextAt": "2023-11-07T05:31:56Z"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Schedules
Create a schedule
POST
/
v1
/
agents
/
{agentId}
/
schedules
Create a schedule
curl --request POST \
--url https://api.matrices.com/v1/agents/{agentId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"message": "<string>",
"name": "<string>",
"target": {
"mode": "spawn"
},
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"enabled": true
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
message: '<string>',
name: '<string>',
target: {mode: 'spawn'},
timing: {cron: '<string>', kind: 'repeated', timezone: '<string>'},
enabled: true
})
};
fetch('https://api.matrices.com/v1/agents/{agentId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/schedules"
payload = {
"message": "<string>",
"name": "<string>",
"target": { "mode": "spawn" },
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"enabled": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/schedules"
payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"name\": \"<string>\",\n \"target\": {\n \"mode\": \"spawn\"\n },\n \"timing\": {\n \"cron\": \"<string>\",\n \"kind\": \"repeated\",\n \"timezone\": \"<string>\"\n },\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"enabled": true,
"id": "<string>",
"message": "<string>",
"name": "<string>",
"target": {
"mode": "spawn"
},
"timing": {
"cron": "<string>",
"kind": "repeated",
"timezone": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"disabledReason": "agent_not_found",
"lastNominalAt": "2023-11-07T05:31:56Z",
"lastStatus": "fired",
"lastThreadId": "<string>",
"lastTurnId": "<string>",
"nextAt": "2023-11-07T05:31:56Z"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Replays an identical mutation and rejects reuse with different request fields.
Path Parameters
Body
application/json
Response
Created schedule.
Show child attributes
Show child attributes
Maximum string length:
120- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
agent_not_found, thread_not_found, invalid_config Available options:
fired, skipped, failed